Get a SEPA Direct Debit mandate
curl --request GET \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"direct_debit_mandate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unique_mandate_reference": "<string>",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending_signature",
"created_at": "2023-11-07T05:31:56Z",
"mandate_signature_date": "2026-01-01T00:00:00Z",
"schedule_type": "one_off",
"notify_client": true,
"sign_url": "<string>",
"iban": "FR7630006000011234567890189"
}
}Mandates
Get a SEPA Direct Debit mandate
OAuth scope: sepa_direct_debit.read
Get a single SEPA Direct Debit mandate by ID.
GET
/
v2
/
sepa
/
direct_debit_mandates
/
{direct_debit_mandate_id}
Get a SEPA Direct Debit mandate
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
The SEPA Direct Debit mandate ID
Response
The SEPA Direct Debit mandate has been retrieved successfully.
Show child attributes
Show child attributes
Was this page helpful?
⌘I